<?php

namespace common\logic\Config\Unit\Module;

use common\logic\AbstractModule;
use common\logic\Config\Unit\Service\UnitDefinition;
use common\logic\Config\Unit\Service\UnitSolver;

/**
 * @mixin UnitDefinition
 * @mixin UnitSolver
 */
class UnitModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            UnitDefinition::class,
            UnitSolver::class
        ];
    }

    public function getDefinition(): UnitDefinition
    {
        return UnitDefinition::getInstance();
    }

    public function getSolver(): UnitSolver
    {
        return UnitSolver::getInstance();
    }
}